# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=gamejolt
pkgver=1.20.0
pkgrel=1
pkgdesc="GameJolt Client"
arch=('amd64')
url="https://github.com/gamejolt/gamejolt"
license=('MIT')
depends=('libgtk-3-0' 'libnotify4' 'libxss1' 'libnss3' 'desktop-file-utils' 'hicolor-icon-theme')
makedepends=('unzip')
install='gamejolt.install'
source=(
	"$pkgname-$pkgver.tar.gz::https://cdn-files.gamejolt.net/SuOua3A1SgvY5npBoMLvaA==,1673562684/data/games/5/162/362412/files/63b89726841ba/gamejoltclient.tar.gz"
	"net.gamejolt.gamejolt.desktop"
)
sha256sums=('a55f9d38f13065e8d5707483064c81e2532071b3a4b5745e148c0ed865627503'
            '36aeb3482101c0153c6431687fd3e2fd2797a2f11f13f47a7382e93988b942fd')
package() {
	mkdir -p "$pkgdir"/opt/gamejolt
	cp -ar data-*/* "$pkgdir"/opt/gamejolt
	
	# Icons
	install -Dm644 "$pkgdir/opt/gamejolt/package/client-icon-256x256.png" \
		"$pkgdir/usr/share/icons/hicolor/256x256/apps/gamejolt.png"

	# Application file
	install -Dm644 "$srcdir/net.gamejolt.gamejolt.desktop" -t "${pkgdir}/usr/share/applications/"	
}
